Do you already have Expression Encoder 4 or Expression Encoder 4 with Service Pack 1 (SP1) installed?

This download adds Encoder 4 SP2 support to your existing Expression Encoder 4 or Expression Encoder 4 with SP1 installation.

Is this a new installation of Expression Encoder 4? Learn more.